#ifndef _SCHEDULER_BUILD_H_
#define _SCHEDULER_BUILD_H_

#define _SCHIMPEXP __declspec(dllimport)

#include "Event.h"
#include "EndianIndependentFile.h"

class _SCHIMPEXP Event;
class _SCHIMPEXP EventAddOnData;

extern "C"
{
	__declspec(dllexport) const char* InitializeAddOn();
	__declspec(dllexport) EventAddOnData* NewAddOnData(Event* AttachTo, EndianIndependentFile* LoadFile,
		bool* FileOK);
	__declspec(dllexport) void CleanUpAddOn();
}

#endif